Yate

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Atom Class Reference

Atom string holder. More...

`#include <yateclass.h>`

## Public Member Functions
| Atom (const char *value)
| operator const String & () const
const String * | operator-> () const

## Detailed Description

Atom string holder.

Indirected shared string offering access to atom strings

## Constructor & Destructor Documentation

Atom | ( | const char * | value | ) |
| inline explicit

Constructor

Parameters

  value | Atom's string value

References String::atom().

## Member Function Documentation

operator const String & | ( |  | ) | const
| inline

Conversion to "const String &" operator

Returns
  Pointer to the atom String

const String* operator-> | ( |  | ) | const
| inline

String method call operator

Returns
  Pointer to the atom String

The documentation for this class was generated from the following file:

- yateclass.h